﻿using System;
using System.Collections;
using System.Collections.ObjectModel;
using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Controls.Scheduling;

namespace GanttViewElementsStyles
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			var start = new DateTime(2012, 2, 28);
			var summary = new GanttTask { Title = "Summary", Start = start.AddDays(1), End = start.AddDays(4), Progress = 15d };
			var data = new Data
			{
				VisibleRange = new DateRange(start, start.AddDays(7)),
				Tasks = new ObservableCollection<IGanttTask>
				{
					new GanttTask { Title = "TaskS", Start = start.AddHours(6), End = start.AddHours(20), Progress = 25d },
					new GanttTask { Title = "Task1", Start = start.AddHours(22), End = start.AddDays(1).AddHours(2), Progress = 50d },
					new GanttTask { Title = "Task2", Start = start.AddDays(1).AddHours(5), End = start.AddDays(2), Progress = 30d },
					new GanttTask { Title = "Task3", Start = start.AddDays(1).AddHours(2), End = start.AddDays(2.5), Progress = 60d },
					new GanttTask { Title = "TaskE", Start = start.AddDays(2.6), End = start.AddDays(3), Progress = 10d, IsMilestone = true },
					summary
				}
			};
			summary.SetChildren(new[] { new GanttTask { Title = "SubTask2", Start = start.AddDays(1).AddHours(5), End = start.AddDays(2), Progress = 15d } });
			this.DataContext = data;
		}

		public class Data
		{
			public IDateRange VisibleRange { get; set; }
			public IEnumerable Tasks { get; set; }
		}
	}
}